%define module_name Math-Clipper
# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++ libsowing-devel perl(Config.pm) perl(Exporter.pm) perl(ExtUtils/CppGuess.pm) perl(ExtUtils/Typemaps/Default.pm) perl(ExtUtils/XSpp.pm) perl(Module/Build.pm) perl(Module/Build/WithXSpp.pm) perl(Test/Deep.pm) perl(XSLoader.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.29
Release: alt4
Summary: Polygon clipping in 2D
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SH/SHELDRAKE/%{module_name}-%{version}.tar.gz

%description
%summary

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes
%perl_vendor_archlib/M*
%perl_vendor_autolib/*

%changelog
* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 1.29-alt4
- rebuild with perl 5.38

* Wed Jun 16 2021 Igor Vlasenko <viy@altlinux.org> 1.29-alt3
- rebuild with perl 5.34.0

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 1.29-alt2
- rebuild with perl 5.30

* Sat May 18 2019 Igor Vlasenko <viy@altlinux.ru> 1.29-alt1
- updated by package builder

* Sun May 12 2019 Igor Vlasenko <viy@altlinux.ru> 1.28-alt1
- updated by package builder

* Fri Feb 01 2019 Cronbuild Service <cronbuild@altlinux.org> 1.27-alt1.1
- rebuild with perl 5.28.1

* Thu May 17 2018 Igor Vlasenko <viy@altlinux.ru> 1.27-alt1
- regenerated from template by package builder

* Fri May 04 2018 Igor Vlasenko <viy@altlinux.ru> 1.26-alt1
- regenerated from template by package builder

* Sun Apr 29 2018 Igor Vlasenko <viy@altlinux.ru> 1.24-alt1
- regenerated from template by package builder

* Mon Dec 18 2017 Igor Vlasenko <viy@altlinux.ru> 1.23-alt4
- rebuild with perl 5.26

* Sun Feb 12 2017 Cronbuild Service <cronbuild@altlinux.org> 1.23-alt3
- rebuild to get rid of unmets

* Fri Nov 27 2015 Igor Vlasenko <viy@altlinux.ru> 1.23-alt2.1
- rebuild with perl 5.22

* Sat Dec 13 2014 Cronbuild Service <cronbuild@altlinux.org> 1.23-alt2
- rebuild to get rid of unmets

* Mon Jun 23 2014 Igor Vlasenko <viy@altlinux.ru> 1.23-alt1
- regenerated from template by package builder

* Mon Oct 14 2013 Igor Vlasenko <viy@altlinux.ru> 1.22-alt1
- initial import by package builder

